package test.cases.geography;

import model.geography.City;

public class CityTest {

	//=======================================
	//Smoke Tests - Construction

	/** Conduct a smoke test for the construction of
	 * a City with no args
	 */
	public void test_newInstance() {
		prn("\n-- test_newInstance --");
		City city = City.newInstance();
		prn(city.toString());
	}

	/** Conduct a smoke test for the construction of
	 * a City with passed name and location
	 */
	public void test_fromNameLatLong() {
		prn("\n-- test_fromNameLatLong --");
		 City city;
		 city = City.fromNameLatLong("Brooklyn Center", 45.076076, -93.332728);
		 prn(city.toString());
	}	
	
	//=======================================
	//Helpers

	public void prn(Object o) {
		System.out.println(o);
	}

	//=======================================
	//Main

	public static void main(String[] args) {
		CityTest test = new CityTest();
		test.test_newInstance();
		test.test_fromNameLatLong();
	}

}